package com.tuoheng.service.op;

import com.tuoheng.model.dto.LoginUser;
import com.tuoheng.model.dto.RoleMenuDto;
import com.tuoheng.model.entity.Roles;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tuoheng.model.query.RoleClientQuery;
import com.tuoheng.model.query.RoleQuery;
import com.tuoheng.until.JsonResult;

/**
* @author 小影
* @description 针对表【op_roles】的数据库操作Service
* @createDate 2023-03-20 14:55:52
*/
public interface RolesService extends IService<Roles> {

    JsonResult getList(RoleQuery roleQuery);

    JsonResult edit(Roles entity, LoginUser loginUser);

    JsonResult deleteByList(Integer[] roleIds);
    /**
     * 获取角色菜单列表
     *
     * @param query 角色ID
     * @return
     */
    JsonResult getMenuList(RoleClientQuery query);

    JsonResult savePermission(RoleMenuDto roleMenuDto);
}
